## org.sonatype.plugins.munge
Class MungeMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.sonatype.plugins.munge.MungeMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class MungeMojo

extends org.apache.maven.plugin.AbstractMojo

Munges source files by keeping or removing sections of code according to what symbols are enabled.

See Also:
  `http://blog.publicobject.com/2009/02/preprocessing-java-with-munge.html`, `http://weblogs.java.net/blog/2006/09/05/munge-swings-secret-preprocessor`

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`MungeMojo()`

Method Summary
`void` `execute()`
`static void` `munge(java.lang.String from, java.lang.String to, java.lang.String includes, java.lang.String excludes)` Munges source files found in `from` and places them in `to`, honoring any includes or excludes.

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MungeMojo

    public MungeMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### munge

    public static void munge(java.lang.String from,
                             java.lang.String to,
                             java.lang.String includes,
                             java.lang.String excludes)
                      throws org.apache.maven.plugin.MojoExecutionException

  Munges source files found in `from` and places them in `to`, honoring any includes or excludes.

  Parameters:
    `from` - The original source directory
    `to` - The munged source directory
    `includes` - Comma-separated list of files to include
    `excludes` - Comma-separated list of files to exclude
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2011. All Rights Reserved.